Get RTO state
curl --request GET \
--url https://devapi.eazecustoms.com/staging/v1/shipments/{id}/rto \
--header 'Authorization: Bearer <token>'import requests
url = "https://devapi.eazecustoms.com/staging/v1/shipments/{id}/rto"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://devapi.eazecustoms.com/staging/v1/shipments/{id}/rto', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"shipmentId": "shp_3f9a1c0e5b7d4e2f8a6c1b9d0e3f7a25",
"processType": "IMPORT_HANDLING",
"status": {
"code": "IN_PROGRESS",
"message": "The RTO process is in progress.",
"updatedAt": "2026-06-10T08:30:00.000Z"
},
"packageCount": 12,
"grossWeightKg": 480.5,
"rtoStartedAt": "2026-06-10T08:30:00.000Z",
"rtoCompletedAt": null,
"rtoDurationDays": null,
"accountTotals": {
"RTO_IN": { "packages": 12, "weightKg": 480.5 },
"STOCK": { "packages": 8, "weightKg": 320 },
"IN_TRANSIT": { "packages": 2, "weightKg": 80 },
"RTO_OUT": { "packages": 2, "weightKg": 80.5 }
},
"stock": {
"reported": { "packageCount": 10, "grossWeightKg": 400 },
"remaining": { "packageCount": 2, "grossWeightKg": 80.5 }
}
}
RTO
Get RTO state
Get the shipment RTO process, status, cargo, and account totals.
GET
/
v1
/
shipments
/
{id}
/
rto
Get RTO state
Get the shipment RTO process status, cargo totals, and account balances.
Path Parameters
string
required
Shipment Public ID (
shp_…).{
"shipmentId": "shp_3f9a1c0e5b7d4e2f8a6c1b9d0e3f7a25",
"processType": "IMPORT_HANDLING",
"status": {
"code": "IN_PROGRESS",
"message": "The RTO process is in progress.",
"updatedAt": "2026-06-10T08:30:00.000Z"
},
"packageCount": 12,
"grossWeightKg": 480.5,
"rtoStartedAt": "2026-06-10T08:30:00.000Z",
"rtoCompletedAt": null,
"rtoDurationDays": null,
"accountTotals": {
"RTO_IN": { "packages": 12, "weightKg": 480.5 },
"STOCK": { "packages": 8, "weightKg": 320 },
"IN_TRANSIT": { "packages": 2, "weightKg": 80 },
"RTO_OUT": { "packages": 2, "weightKg": 80.5 }
},
"stock": {
"reported": { "packageCount": 10, "grossWeightKg": 400 },
"remaining": { "packageCount": 2, "grossWeightKg": 80.5 }
}
}